wkpark      2009/09/24 17:31:16

  Modified:    .        wiki.php
  Log:
  fix for DocumentRoot != real wiki root. use $doc_root config var
  
  Revision  Changes    Path
  1.489     +7 -4      moniwiki/wiki.php
  
  Index: wiki.php
  ===================================================================
  RCS file: /cvsroot/moniwiki/moniwiki/wiki.php,v
  retrieving revision 1.488
  retrieving revision 1.489
  diff -u -r1.488 -r1.489
  --- wiki.php	15 Sep 2009 02:10:10 -0000	1.488
  +++ wiki.php	24 Sep 2009 08:31:16 -0000	1.489
  @@ -11,9 +11,9 @@
   // * Phiki is a php based wiki clone based on the MoinMoin
   //    by Fred C. Yankowski <fcy at acm.org>
   //
  -// $Id: wiki.php,v 1.488 2009/09/15 02:10:10 wkpark Exp $
  +// $Id: wiki.php,v 1.489 2009/09/24 08:31:16 wkpark Exp $
   //
  -$_revision = substr('$Revision: 1.488 $',1,-1);
  +$_revision = substr('$Revision: 1.489 $',1,-1);
   $_release = '1.1.4-RC3';
   
   #ob_start("ob_gzhandler");
  @@ -710,8 +710,11 @@
       if (empty($this->upload_dir_url))
         $this->upload_dir_url= $this->upload_dir;
   
  -    $doc_root = getenv("DOCUMENT_ROOT"); // for Unix
  -    $imgs_realdir= $doc_root.$this->imgs_dir;
  +    // getenv("DOCUMENT_ROOT") != doc_root or not ?
  +    $doc_root = isset($this->doc_root) ? $this->doc_root : dirname(dirname(__FILE__));
  +    $doc_root = preg_replace('@/$@', '', $doc_root);
  +
  +    $imgs_realdir= $doc_root.'/'.$this->imgs_dir;
       if (file_exists($imgs_realdir.'/interwiki/'.'moniwiki-16.png'))
         $this->imgs_dir_interwiki=$this->imgs_dir.'/interwiki/';
   
  
  
  


wkpark      2009/09/24 17:32:42

  Modified:    .        wiki.php
  Log:
  remove fclose() for already closed files
  
  Revision  Changes    Path
  1.490     +2 -4      moniwiki/wiki.php
  
  Index: wiki.php
  ===================================================================
  RCS file: /cvsroot/moniwiki/moniwiki/wiki.php,v
  retrieving revision 1.489
  retrieving revision 1.490
  diff -u -r1.489 -r1.490
  --- wiki.php	24 Sep 2009 08:31:16 -0000	1.489
  +++ wiki.php	24 Sep 2009 08:32:41 -0000	1.490
  @@ -11,9 +11,9 @@
   // * Phiki is a php based wiki clone based on the MoinMoin
   //    by Fred C. Yankowski <fcy at acm.org>
   //
  -// $Id: wiki.php,v 1.489 2009/09/24 08:31:16 wkpark Exp $
  +// $Id: wiki.php,v 1.490 2009/09/24 08:32:41 wkpark Exp $
   //
  -$_revision = substr('$Revision: 1.489 $',1,-1);
  +$_revision = substr('$Revision: 1.490 $',1,-1);
   $_release = '1.1.4-RC3';
   
   #ob_start("ob_gzhandler");
  @@ -1566,7 +1566,6 @@
               if (!empty($params['print'])) {
                 $ret= include $key; // Do we need more secure method ?
                 if ($ehandle) restore_error_handler();
  -              fclose($fp);
                 return $ret;
               } else {
                 ob_start();
  @@ -1574,7 +1573,6 @@
                 if ($ehandle) restore_error_handler();
                 $fetch = ob_get_contents();
                 ob_end_clean();
  -              fclose($fp);
                 return $fetch;
               }
             }
  
  
  


