wkpark      2008/04/20 01:19:10

  Modified:    .        TTFText.php
  Log:
  add a image mode
  
  Revision  Changes    Path
  1.2       +8 -1      moniwiki/plugin/TTFText.php
  
  Index: TTFText.php
  ===================================================================
  RCS file: /cvsroot/moniwiki/moniwiki/plugin/TTFText.php,v
  retrieving revision 1.1
  retrieving revision 1.2
  diff -u -r1.1 -r1.2
  --- TTFText.php	17 Apr 2008 09:49:02 -0000	1.1
  +++ TTFText.php	19 Apr 2008 16:19:10 -0000	1.2
  @@ -8,12 +8,12 @@
   // Name: TTFText
   // Description: TTF Text plugin with Background image technic.
   // URL: MoniWiki:TTFTextPlugin
  -// Version: $Revision: 1.1 $
  +// Version: $Revision: 1.2 $
   // License: GPL
   //
   // Usage: [[TTFText(text,fontname=Eunjin,fontsize=12,float=left)]]
   //
  -// $Id: TTFText.php,v 1.1 2008/04/17 09:49:02 wkpark Exp $
  +// $Id: TTFText.php,v 1.2 2008/04/19 16:19:10 wkpark Exp $
   
   function macro_TTFText($formatter,$value,$params=array()) {
       global $DBInfo;
  @@ -29,6 +29,7 @@
       $text=array_shift($args);
   
       $float='';
  +    $imagemode=0;
       $args= empty($args) ? array():($args);
       foreach ($args as $arg) {
           list($k,$v)=split('=',trim($arg),2);
  @@ -44,6 +45,8 @@
               $fontsize=intval($v);
           } else if ($k == 'dropcap' and (empty($v) or $v == 1)) {
               $float="float:left;";
  +        } else if ($k == 'img' or $k == 'image') {
  +            $imagemode=1;
           } else if ($k == 'float' and in_array($v, array('left','middle','right'))) {
               $float="float:$v;";
           } else if ($k == 'color' and preg_match('/^#[0-9a-f]{6}$/',$v)) {
  @@ -112,6 +115,10 @@
       }
       $png_url=qualifiedUrl($png_url);
   
  +    if ($imagemode) {
  +        $text= str_replace('"',"&#34;",$text);
  +        return "<img src=\"$png_url\" alt=\"$text\" style='vertical-align:middle' />";
  +    }
       return "<span style='display:block;$float".
           "background:url(\"$png_url\") no-repeat;width:${w}px;height:${h}px;' />".
           "<span style='display:none'>".$text."</span></span>";
  
  
  


